@if (!(viewService.entityNotFound$ | async)) {
  @if (viewService.componentData$ | async) {
    <ng-content></ng-content>
  } @else {
    <sqtm-core-full-page-loading-icon></sqtm-core-full-page-loading-icon>
  }
} @else {
  <sqtm-core-entity-not-found [httpError]="viewService.loadError$ | async">
  </sqtm-core-entity-not-found>
}
